Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.module
Interface DCSubject

All Superinterfaces:
  Cloneable, CopyFrom

All Known Implementing Classes:
  DCSubjectImpl

    public interface DCSubject

extends Cloneable, CopyFrom

Subject of the Dublin Core ModuleImpl.

Author:
  Alejandro Abdelnur
See Also:
  Dublin Core module.

Method Summary
`Object` | `clone()` Creates a deep clone of the object.
`String` | `getTaxonomyUri()` Returns the DublinCore subject taxonomy URI.
`String` | `getValue()` Returns the DublinCore subject value.
`void` | `setTaxonomyUri(String taxonomyUri)` Sets the DublinCore subject taxonomy URI.
`void` | `setValue(String value)` Sets the DublinCore subject value.

Methods inherited from interface com.sun.syndication.feed.CopyFrom
`copyFrom, getInterface`

Method Detail

### getTaxonomyUri

    String getTaxonomyUri()

  Returns the DublinCore subject taxonomy URI.

  Returns:
    the DublinCore subject taxonomy URI, null if none.

### setTaxonomyUri

    void setTaxonomyUri(String taxonomyUri)

  Sets the DublinCore subject taxonomy URI.

  Parameters:
    `taxonomyUri` - the DublinCore subject taxonomy URI to set, null if none.

### getValue

    String getValue()

  Returns the DublinCore subject value.

  Returns:
    the DublinCore subject value, null if none.

### setValue

    void setValue(String value)

  Sets the DublinCore subject value.

  Parameters:
    `value` - the DublinCore subject value to set, null if none.

### clone

    Object clone()
                 throws CloneNotSupportedException

  Creates a deep clone of the object.

  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.